Skip to main content

Add certificate

Basic Information​

This interface is mainly used to add certificates

请求路径
POST /openapi/v1/teams/{team_id}/certificates
Body 请求体示例
{
"alias": "string",
"private_key": "string",
"certificate": "string",
"certificate_type": "string"
}

request parameters​

nameLocationtyperequiredChinese nameillustrate
team_idpathstringYesnone
bodybodyTeamCertificatesCnonone

return result​

status codeStatus code meaningillustratedata model
200OKsuccessTeamCertificatesR

Model​

TeamCertificatesC​

{
"alias": "string",
"private_key": "string",
"certificate": "string",
"certificate_type": "string"
}

Attributes​

nametyperequiredconstraintChinese nameillustrate
aliasstringtruenoneAliascertificate name
private_keystringtruenonePrivate keyCertificate
certificatestringtruenoneCertificatecertificate key
certificate_typestringtruenoneCertificate typeCertificate type

TeamCertificatesR​

{
"alias": "string",
"private_key": "string",
"certificate": "string",
"certificate_type": "string",
"id": 0
}

Attributes​

nametyperequiredconstraintChinese nameillustrate
aliasstringtruenoneAliascertificate name
private_keystringtruenonePrivate keyCertificate
certificatestringtruenoneCertificatecertificate key
certificate_typestringtruenoneCertificate typeCertificate type
idintegertruenoneIdid